DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# Reciprocal

arithmetic function

## SYNOPSIS

dip_Error dip_Reciprocal ( in, out )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

Computes the reciprocal (1/x) of the input image values. If pixel values of `in` are zero, the corresponding pixels in `out` is set to zero.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output

## SEE ALSO

`Div`, `DivFloat`, `DivComplex`, `Modulo`